Projects
Get the name of the readme file in a project's git repository
Find the readme file in a directory of the project’s main repository or of one of its imported repositories. Returns the name of the readme as the repository spells it; the name is omitted when the directory has no readme. Required permissions: ListProject
GET
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
repositories
/
{repositoryId}
/
readme
Get the name of the readme file in a project's git repository
curl --request GET \
--url https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"readmeFileName": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
ID of the project the repository belongs to
ID of the repository being queried. Use _ to refer to the project's main repository.
Query Parameters
Directory within the repository to look in. Defaults to the repository root.
Branch to read the directory from. Defaults to the project's default git branch.
Commit SHA to read the directory at. Takes precedence over branchName.
Was this page helpful?
⌘I
Get the name of the readme file in a project's git repository
curl --request GET \
--url https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories/{repositoryId}/readme")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"readmeFileName": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}